<?php

namespace FiloBlu\Design\Controller\Adminhtml\Cache;

use Exception;
use FiloBlu\Design\Helper\Data;
use Magento\Backend\App\Action;
use Magento\Backend\Model\View\Result\Redirect;
use Magento\Framework\Controller\ResultFactory;
use Magento\Framework\Exception\LocalizedException;

class CleanContentManagerImages extends Action
{

    /**
     * Clean JS/css files cache
     *
     * @return Redirect
     */
    public function execute()
    {

        try {
            $helperDesign = $this->_objectManager->create(Data::class);
            $helperDesign->cleanContentManagerImages();
            $this->_eventManager->dispatch('clean_contentmanager_images_cache_after');
            $this->messageManager->addSuccessMessage(__('The content manager image cache was cleaned.'));
        } catch (LocalizedException $e) {
            $this->messageManager->addErrorMessage($e->getMessage());
        } catch (Exception $e) {
            $this->messageManager->addExceptionMessage($e, __('An error occurred while clearing the content manager image cache.'));
        }

        /** @var Redirect $resultRedirect */
        $resultRedirect = $this->resultFactory->create(ResultFactory::TYPE_REDIRECT);
        return $resultRedirect->setPath('adminhtml/*');
    }

}
